Tristero LogoTristero
API Reference

List supported assets

Returns the list of supported assets and their current market prices and liquidity information.

GET
/assets

Returns the list of supported assets and their current market prices and liquidity information.

Response Body

application/json

curl -X GET "https://feather-prod.tristero.com/assets"
[
  {
    "AssetName": "BTC",
    "UsdMarketMid": 65432.18,
    "HalfSpread": 0.0012,
    "MarketHalfSpread": 0.0008,
    "HalfFee": 0.00015,
    "MinAmount": 0.001,
    "MaxOutput": 10.5,
    "MaxInput": 15,
    "PriceImpactRate": 0.00005,
    "CapacityFraction": 0.73,
    "TargetBalance": 20,
    "CurrentBalance": 14.6,
    "FundingAddress": "bc1qfeatherfundingaddress1234567890abcdef"
  },
  {
    "AssetName": "ETH",
    "UsdMarketMid": 3456.78,
    "HalfSpread": 0.0008,
    "MarketHalfSpread": 0.0005,
    "HalfFee": 0.0025,
    "MinAmount": 0.01,
    "MaxOutput": 150,
    "MaxInput": 200,
    "PriceImpactRate": 0.00002,
    "CapacityFraction": 0.85,
    "TargetBalance": 200,
    "CurrentBalance": 170,
    "FundingAddress": "0xFeatherFundingAddress1234567890abcdef1234"
  }
]